/******************************

Filename: output_led.c

******************************/

#define _OUTPUTLED_
#include "iodefine.h"
#include "common.h"
#include "output_led.h"

/***************************************************/

/**
  * LEDE_܂B
  * ʊ֐@1msecƂɌĂяo邱Ƃ҂܂
  * @param 	strLedSpeaker* str	LEDSPEAKER̓w@\
  * @param 						Ȃ
  * @return @@@@@@@@	Ȃ
  * @author Keijiro Ichikawa
  * @version 1
  */
void output_led(strLedSpeaker* str)
{
	static unsigned char led_duty_cnt = 0;
	
	// LEDduty̎w50H	
	if(DUTY_HALF == str->LED_DUTY)
	{	
		// JEg5菬H  
		if(DUTY_HALF_CNT >= led_duty_cnt)
		{	
			//*********************************
			// LEDON	
			//*********************************
		 	led_on(str);
		}
		// JEg5ȏ10菬H
		else if((DUTY_HALF_CNT < led_duty_cnt) && (led_duty_cnt <= DUTY_CNT_MAX))
		{
			//*********************************
			// LEDOFF
			//*********************************
			led_off(str);	
		}
	}
	// LEDduty̎w30H	
	else if(DUTY_ONE_THIRD == str->LED_DUTY)
	{
		// JEg3菬H
		if( DUTY_ONE_THIRD_CNT >= led_duty_cnt)
		{	
			//*********************************
			// LEDON
			//*********************************
			led_on(str);
		}
		// JEg3ȏ10菬H
		else if((DUTY_ONE_THIRD_CNT < led_duty_cnt) && (led_duty_cnt <= DUTY_CNT_MAX))
		{	
			//*********************************
			// LEDOFF
			//*********************************
			led_off(str);
		}				
	}
	// JE^[9傫΂Ȃ΃NA
	if(9 < led_duty_cnt)
	{
		led_duty_cnt = CLEAR;					// LEDdutyJE^NA
	}
	led_duty_cnt++; 		
}
/**
  * SWɑΉLEDDuty50%,Fœ_w܂B
  * ʊ֐@1msecƂɌĂяo邱Ƃ҂܂
  * @param 	strLedSpeaker* str	LEDSPEAKER̓w@\
  * @param 	Push_Sw_Num			m肵SW
  * @return @@@@@@@@	Ȃ
  * @author Keijiro Ichikawa
  * @version 1
  */
void set_led(strLedSpeaker* str, unsigned char Push_Sw_Num)
{	
	if(MANUAL_LED_FLG == str->LED_STATE)
	{
		str->LED_PORTD 	= 0x00;
		str->LED_PORTE 	= 0x00;
		str->LED_PORTB 	= 0x00;
		// SW񂪋Kȓ̏ꍇ́A_LEDݒ
		if( Push_Sw_Num <= SW_NUM )
		{
			str->LED_PORTD 	= strLedManualSound[Push_Sw_Num].PortD;
		  	str->LED_PORTE 	= strLedManualSound[Push_Sw_Num].PortE;
		  	str->LED_PORTB 	= strLedManualSound[Push_Sw_Num].PortB;
			str->LED_DUTY  	= strLedManualSound[Push_Sw_Num].Duty;
		}
	}
	// tɑΉLEDDuty50%,Fœ_w
	else if(AUTO_LED_FLG == str->LED_STATE)
	{
		str->LED_PORTD 	= 0x00;
		str->LED_PORTE 	= 0x00;
		str->LED_PORTB 	= 0x00;
		// SW񂪋Kȓ̏ꍇ́A_LEDݒ
		if( Push_Sw_Num <= LED_NUM )
		{
			str->LED_PORTD 	= strLedAutoPerform[Push_Sw_Num].PortD;
		  	str->LED_PORTE 	= strLedAutoPerform[Push_Sw_Num].PortE;
		  	str->LED_PORTB 	= strLedAutoPerform[Push_Sw_Num].PortB;
			str->LED_DUTY  	= strLedAutoPerform[Push_Sw_Num].Duty;
		}
	}
}
/**
  * LED_܂B
  * ʊ֐@1msecƂɌĂяo邱Ƃ҂܂
  * @param 	strLedSpeaker* str	LEDSPEAKER̓w@\
  * @param 						Ȃ
  * @return @@@@@@@@	Ȃ
  * @author Keijiro Ichikawa
  * @version 1
  */
void led_on(strLedSpeaker* str)
{
	PORTD.DR.BYTE = str->LED_PORTD;
    PORTE.DR.BYTE = str->LED_PORTE;
	PORTB.DR.BYTE = str->LED_PORTB;
}
/**
  * LED܂B
  * ʊ֐@1msecƂɌĂяo邱Ƃ҂܂
  * @param 	strLedSpeaker* str	LEDSPEAKER̓w@\
  * @param 						Ȃ
  * @return @@@@@@@@	Ȃ
  * @author Keijiro Ichikawa
  * @version 1
  */
void led_off(strLedSpeaker* str)
{
	PORTD.DR.BYTE = 0x00;
    PORTE.DR.BYTE = 0x00;
	PORTB.DR.BYTE = 0x00;
}