/******************************

Filename: output_led.h

******************************/
#ifndef _OUTPUT_LED_H
#define _OUTPUT_LED_H

typedef struct {
	unsigned char	PortD;
	unsigned char	PortE;
	unsigned char	PortB;
	unsigned char	Duty;
}strLEDINFO;

#ifdef _OUTPUTLED_
strLEDINFO	strLedManualSound[] = {
//       	SW0@Vb          ,        SW1@h           ,         	SW2	  b       ,        SW3@           ,         SW4@~b         ,
	{0x06,0x00,0x00,DUTY_HALF},{0x06,0x00,0x00,DUTY_HALF},{0x36,0x00,0x00,DUTY_HALF},{0x30,0x00,0x00,DUTY_HALF},{0xB0,0x01,0x00,DUTY_HALF},
//         	SW5  ~          ,         SW6	t@       	 ,  		SW7	  \b       ,        SW8@ \          ,         SW9@b         ,	
	{0x80,0x01,0x00,DUTY_HALF},{0x00,0x0C,0x00,DUTY_HALF},{0x00,0x6C,0x00,DUTY_HALF},{0x00,0x60,0x00,DUTY_HALF},{0x00,0x60,0x03,DUTY_HALF},
//       	SW10     	      ,        SW11	Vb          ,        	SW12  V        ,        SW13  h          ,
	{0x00,0x00,0x03,DUTY_HALF},{0x00,0x00,0x1B,DUTY_HALF},{0x00,0x00,0x18,DUTY_HALF},{0x00,0x00,0xC0,DUTY_HALF}
};
strLEDINFO	strLedAutoPerform[] = {
	{0x00,0x00,0x00,DUTY_HALF},
//          LED1 Vb          ,        LED2 h           ,        	LED3@        ,        LED4@~b
	{0x05,0x00,0x00,DUTY_HALF},{0x28,0x00,0x00,DUTY_HALF},{0x40,0x01,0x00,DUTY_HALF},{0x00,0x0A,0x00,DUTY_HALF},
//          LED5 t@        ,         LED6 \           ,       	LED7@        ,        LED8@Vbij
	{0x00,0x50,0x00,DUTY_HALF},{0x00,0x80,0x02,DUTY_HALF},{0x00,0x00,0x14,DUTY_HALF},{0x00,0x00,0xA0,DUTY_HALF},
};

#else
extern strLEDINFO	strLedManualSound[];
extern strLEDINFO	strLedAutoPerform[];
#endif // _OUTPUTLED_

//*************************************************
// vg^Cv錾
//*************************************************
extern void output_led(strLedSpeaker* str);
extern void set_led(strLedSpeaker* str, unsigned char Push_Sw_Num);
extern void led_on(strLedSpeaker* str);
extern void led_off(strLedSpeaker* str);

#endif // !_OUTPUT_LED_H
